package cn.feast.coding.mapper.generator;

import cn.feast.coding.model.generator.Module;
import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface ModuleMapper{
    Integer save(Module model);

    void update(Module model);

    void deleteById(Integer id);

    int queryByCount(Module model);

    List<Module> queryByList(Map paramsMap);
	
	List<Module> queryByModule(Module model);

    Module queryById(Integer id);

    List<Module> queryAll();
}